Package writer2latex.office

# Class TableView

java.lang.Object
writer2latex.office.TableView

public class TableView extends Object
This class represents a view of a `TableRange`. A view provides read access to the range using a simple grid model.

## Constructor Summary

Constructors
Constructor
Description
`TableView(TableReader reader, TableRange range)`

## Method Summary

Modifier and Type
Method
Description
`Element`
`getCell(int nRow, int nCol)`
`String`
`getCellStyleName(int nRow, int nCol)`
`String`
`getCellWidth(int nRow, int nCol)`
`TableLine`
`getCol(int nCol)`
`int`
`getColCount()`
`int`
`getColSpan(int nRow, int nCol)`
`String`
`getColumnWidth(int nCol)`
`String`
`getRelColumnWidth(int nCol)`
`String`
`getRelTableWidth()`
`TableLine`
`getRow(int nRow)`
`int`
`getRowCount()`
`int`
`getRowSpan(int nRow, int nCol)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableView

public TableView(TableReader reader, TableRange range)

## Method Details

### getRelTableWidth

public String getRelTableWidth()

### getRowCount

public int getRowCount()

### getColCount

public int getColCount()

### getColumnWidth

public String getColumnWidth(int nCol)

### getRelColumnWidth

public String getRelColumnWidth(int nCol)

### getRow

public TableLine getRow(int nRow)

### getCol

public TableLine getCol(int nCol)

### getCell

public Element getCell(int nRow, int nCol)

### getRowSpan

public int getRowSpan(int nRow, int nCol)

### getColSpan

public int getColSpan(int nRow, int nCol)

### getCellStyleName

public String getCellStyleName(int nRow, int nCol)

### getCellWidth

public String getCellWidth(int nRow, int nCol)